---

- name: Install packages
  package: name={{ linsat_packages }}
  tags: drbd

- name: Customize satellite service
  copy:
    content: |
      [Service]
      Environment=LS_KEEP_RES={{ linsat_keep_res | join(',') }}
      Restart=on-failure
      StartLimitInterval=0
      RestartSec=30
      PrivateTmp=yes
      ProtectHome=yes
      SyslogIdentifier=linstor-satellite
    dest: /etc/systemd/system/linstor-satellite.service.d/99-ansible.conf
  notify: restart linstor-satellite
  register: linsat_unit
  tags: drbd

- name: Reload systemd
  systemd: daemon_reload=True
  when: linsat_unit.changed
  tags: drbd
